declare type NumberContraints = {
    min?: number;
    max?: number;
};
declare type StringContraints = {
    minLen?: number;
    maxLen?: number;
    regexp?: RegExp;
};
export declare function assertSignedFloat(val: number, constraints?: NumberContraints): number;
export declare function assertSignedFloatNullable(val: number | undefined, constraints?: NumberContraints): number | undefined;
export declare function assertPositiveFloat(val: number, constraints?: NumberContraints): number;
export declare function assertPositiveFloatNullable(val: number | undefined, constraints?: NumberContraints): number | undefined;
export declare function assertSignedInt(val: number, constraints?: NumberContraints): number;
export declare function assertPositiveIntNullable(val: number | undefined, constraints?: NumberContraints): number | undefined;
export declare function assertPositiveInt(val: number, constraints?: NumberContraints): number;
export declare function assertSignedIntNullable(val: number | undefined, constraints?: NumberContraints): number | undefined;
export declare function assertString(val: string, constraints?: StringContraints): string;
export declare function assertStringNullable(val: string | undefined, constraints?: StringContraints): string | undefined;
export declare function assertNoEmptyString(val: string, constraints?: StringContraints): string;
export declare function assertNoEmptyStringNullable(val: string | undefined, constraints?: StringContraints): string | undefined;
export declare function assertDate(val: Date, constraints?: {
    min?: Date;
    max?: Date;
}): Date;
export declare function assertDateNullable(val: Date | undefined, constraints?: {
    min?: Date;
    max?: Date;
}): Date | undefined;
export declare function assertArray(val: unknown[], constraints?: {
    minSize?: number;
    maxSize?: number;
}): any[];
export declare function assertArrayNullable(val: unknown[] | undefined, constraints?: {
    minSize?: number;
    maxSize?: number;
}): unknown[] | undefined;
export declare function assertNoEmptyArray(val: unknown[], constraints?: {
    minSize?: number;
    maxSize?: number;
}): unknown[];
export declare function assertNoEmptyArrayNullable(val: unknown[] | undefined, constraints?: {
    minSize?: number;
    maxSize?: number;
}): unknown[] | undefined;
export declare function assertBool(val: boolean): boolean;
export declare function assertBoolNullable(val: boolean | undefined): boolean | undefined;
export declare function assertEmail(val: string): string;
export declare function emailNullable(val: string | undefined): string | undefined;
export declare function assertObject(val: object): object;
export declare function assertObjectNullable(val: object | undefined): object | undefined;
export {};
//# sourceMappingURL=Validator.d.ts.map