import { GraphQLScalarType } from 'graphql';
export declare type RootResolver<T, Context> = {
    [P in keyof T]: T[P] extends (args: infer Args) => infer R ? (args: Args, ctx: Context) => Return<R> : never;
};
export declare type QueryParameters<Q> = {
    [P in keyof Q]: Q[P] extends (args: infer Args) => unknown ? Args : never;
};
declare type PromisifyObj<T> = {
    [P in keyof T]: PromisifyValue<T[P]>;
};
declare type Obj<T> = PromisifyObj<T> | Promise<PromisifyObj<T>> | (() => PromisifyObj<T>) | (() => Promise<PromisifyObj<T>>);
declare type PromisifyPrimitive<T> = T | Promise<T> | (() => T) | (() => Promise<T>);
declare type PromisifyValue<T> = [T] extends [object] ? (T extends Date ? PromisifyPrimitive<Date> : Obj<T>) : PromisifyPrimitive<T>;
export declare type Return<T> = Promise<[T] extends [object] ? ([T] extends [Date] ? Date : PromisifyObj<T>) : T>;
export declare const graphQLBigintTypeFactory: (typeName: string) => GraphQLScalarType | undefined;
export {};
//# sourceMappingURL=graphQLUtils.d.ts.map