/// <reference types="node" />
export declare const ENV: string;
import 'deps-check';
import Express from 'express';
import { SessionOptions } from 'express-session';
import { DBOptions } from './dbInit';
import { BaseDB, SchemaConstraint } from './Orm';
import * as bodyparser from 'body-parser';
import serveStatic from 'serve-static';
import https from 'https';
import http from 'http';
export * from './di';
export * from './errors';
export * from './graphQLUtils';
export * from './Orm';
export * from './Orm/PostgresqlDriver';
export * from './request';
export * from './testUtils';
export * from './utils';
export * from './dateUtils';
export * from './Validator';
export declare const bodyParser: typeof bodyparser;
export { logger, JsonError } from './logger';
export declare const PRODUCTION: boolean;
export declare function createGraphqApp<DBSchema extends SchemaConstraint>(options: {
    https?: {
        privateKeyFile: string;
        certificateFile: string;
        port?: number;
    };
    session?: SessionOptions;
    db?: DBOptions;
    graphql: {
        schema: string;
        resolver: object;
    };
    static?: {
        rootDir: string;
        options?: serveStatic.ServeStaticOptions;
    };
    parcel?: {
        indexFilename: string;
    };
    errors: {
        unknown: unknown;
    };
    port: number;
}): Promise<{
    server: http.Server | https.Server;
    express: import("express-serve-static-core").Express;
    db: BaseDB<DBSchema>;
}>;
export declare function asyncMiddleware(fn: (req: Express.Request, res: Express.Response) => Promise<unknown>): Express.Handler;
//# sourceMappingURL=index.d.ts.map